| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::InitializationObserver Class Referenceabstract
Inheritance diagram for Digikam::InitializationObserver:

## Public Types
enum | UpdateResult { UpdateSuccess , UpdateError , UpdateErrorMustAbort }

## Public Member Functions
virtual void | connectCollectionScanner (CollectionScanner *const scanner)=0
virtual void | error (const QString &errorMessage)=0
virtual void | finishedSchemaUpdate (UpdateResult result)=0
virtual void | moreSchemaUpdateSteps (int numberOfSteps)=0
virtual void | schemaUpdateProgress (const QString &message, int numberOfSteps=1)=0
Public Member Functions inherited from Digikam::CollectionScannerObserver
virtual bool | continueQuery ()=0